OpenAPI specification
The Ignite REST API is described in an OpenAPI 3.1 specification. Use it to generate API clients, to import the API into tools such as Postman or Insomnia, or to validate your requests.
Both files describe the same API. You can also download a file from the command line:
curl -O https://docs.ignite.video/openapi/ignite-openapi.yamlThe specification covers videos, uploads, thumbnails, text tracks, categories, tags, and the video webhook. It does not cover player presets, analytics, or AI features yet. See their pages in this reference.